Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib
Class ExsltCommon

    java.lang.Object
      |
      +--org.apache.xalan.lib.ExsltCommon

public class ExsltCommon
extends java.lang.Object

This class contains EXSLT common extension functions. It is accessed by specifying a namespace URI as follows:

        xmlns:exslt="http://exslt.org/common"

The documentation for each function has been copied from the relevant EXSLT Implementer page.

See Also:
  EXSLT
Usage:

Constructor Summary
`ExsltCommon()`

Method Summary
`static NodeSet` | `nodeSet(ExpressionContext myProcessor, java.lang.Object rtf)` The exsl:node-set function converts a result tree fragment (which is what you get when you use the content of xsl:variable rather than its select attribute to give a variable value) into a node set.
`static java.lang.String` | `objectType(java.lang.Object obj)` The exsl:object-type function returns a string giving the type of the object passed as the argument.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExsltCommon

    public ExsltCommon()

Method Detail

### objectType

    public static java.lang.String objectType(java.lang.Object obj)

  The exsl:object-type function returns a string giving the type of the object passed as the argument. The possible object types are: 'string', 'number', 'boolean', 'node-set', 'RTF', or 'external'. Most XSLT object types can be coerced to each other without error. However, there are certain coercions that raise errors, most importantly treating anything other than a node set as a node set. Authors of utilities such as named templates or user-defined extension functions may wish to give some flexibility in the parameter and argument values that are accepted by the utility; the exsl:object-type function enables them to do so. The Xalan extensions MethodResolver converts 'object-type' to 'objectType'.
  Parameters:
    `obj` - The object to be typed.
  Returns:
    objectType 'string', 'number', 'boolean', 'node-set', 'RTF', or 'external'.
  See Also:
    EXSLT

### nodeSet

    public static NodeSet nodeSet(ExpressionContext myProcessor,
                                  java.lang.Object rtf)

  The exsl:node-set function converts a result tree fragment (which is what you get when you use the content of xsl:variable rather than its select attribute to give a variable value) into a node set. This enables you to process the XML that you create within a variable, and therefore do multi-step processing. You can also use this function to turn a string into a text node, which is helpful if you want to pass a string to a function that only accepts a node set. The Xalan extensions MethodResolver converts 'node-set' to 'nodeSet'.
  Parameters:
    `myProcessor` - is passed in by the Xalan extension processor
    `rtf` - The result tree fragment to be converted to a node-set.
  Returns:
    node-set with the contents of the result tree fragment. Note: Already implemented in the xalan namespace as nodeset.
  See Also:
    EXSLT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.